| Home | Libraries | People | FAQ | More

#### closure_selector

Enumerates options for defining if polygons are open or closed.

###### Description

The enumeration closure_selector describes options for if a polygon is open or closed. In a closed polygon the very first point (per ring) should be equal to the very last point. The specific closing property of a polygon type is defined by the closure metafunction. The closure metafunction defines a value, which is one of the values enumerated in the closure_selector

###### Synopsis

    enum closure_selector {open = 0, closed = 1, closure_undertermined = -1};

###### Values

Value | Description
--- | ---
open | Rings are open: first point and last point are different, algorithms close them explicitly on the fly
closed | Rings are closed: first point and last point must be the same.
closure_undertermined | (Not yet implemented): algorithms first figure out if ring must be closed on the fly

###### Header

`#include <boost/geometry/core/closure.hpp>`

###### See also

The closure metafunction